/*****************************************************************************
 * Author:   Valient Gough <vgough@pobox.com>
 *
 *****************************************************************************
 * Copyright (c) 2004, Valient Gough
 *
 * This library is free software; you can distribute it and/or modify it under
 * the terms of the GNU Lesser General Public License (LGPL), as published by
 * the Free Software Foundation; either version 2.1 of the License, or (at your
 * option) any later version.
 *
 * This library is distributed in the hope that it will be useful, but WITHOUT
 * ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or
 * FITNESS FOR A PARTICULAR PURPOSE.  See the LGPL in the file COPYING for more
 * details.
 *
 */
		                                                                                
                             
#ifndef _Error_incl_
#define _Error_incl_

#include <stdexcept>

namespace rlog
{
    class RLogChannel;

    // Documentation in implementation file
    class Error : public std::runtime_error
    {
    public:
	Error( const char *component, const char *file, const char *function,
		int line, const char *msg );
	Error(const Error &src );
	virtual ~Error() throw();

	Error &operator = (const Error &src);

	void log( RLogChannel * channel ) const;

	const char *component() const;
	const char *file() const;
	const char *function() const;
	int line() const;
	const char *message() const;

    private:
	struct ErrorData *data;
    };

}

#endif

